%define name opera
%define version 10.10
%define release %mkrel 1
%define buildnb 4742

%define tarball_base %{name}-%{version}.gcc4-shared-qt3
%define dirname %{name}-%{version}-%{buildnb}.gcc4-shared-qt3.%{_arch}

%ifarch x86_64
# Exclude 32-bit requires on x86_64; plugins will pull them.
%define _exclude_files_from_autoreq ^%{_libdir}/%{name}/operapluginwrapper-ia32-linux$
%endif

Summary:	Opera Web Browser for Linux
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0:	%{tarball_base}.i386.tar.bz2
Source1: 	%{tarball_base}.x86_64.tar.bz2
Source2: 	opera6.adr
License: 	Commercial
Url:		http://www.opera.com/
Group: 		Networking/WWW
BuildRoot: 	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%ix86 x86_64
BuildRequires:	desktop-file-utils

%description
Opera for Linux is an alternative, lightweight, X11-based Web browser 
for Linux. 

%prep
%ifarch x86_64
%setup -q -n %dirname -T -b 1
%else
%setup -q -n %dirname -T -b 0
%endif

# extract upstream .desktop file
gawk '{ if (section) print } /^}/ { section=0 } /desktop_content\(\)/ { section=1 }' install.sh > shortcut-script
bash shortcut-script xdg | sed 's,opera.png,opera,' > opera.desktop

%install
rm -rf $RPM_BUILD_ROOT

./install.sh --prefix=$RPM_BUILD_ROOT%_prefix --exec_prefix=$RPM_BUILD_ROOT%_libdir/%name \
              --wrapperdir=$RPM_BUILD_ROOT%_bindir/ --sharedir=$RPM_BUILD_ROOT%_datadir/%name \
              --plugindir=$RPM_BUILD_ROOT%_libdir/opera/plugins --docdir=$PWD/rpmdocs \
              --mandir=%{buildroot}%{_mandir}

install -m755 -d %{buildroot}%{_sysconfdir}
install -m644 etc/* %{buildroot}%{_sysconfdir}

# install mandrakized bookmarks file
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%_datadir/%name/opera6.adr

# remove buildroot path copied in the wrapper by the install script
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT%_bindir/opera
# remove builddir
perl -pi -e "s|$PWD|%{_bindir}|" %{buildroot}%{_bindir}/opera

%if %{mdkversion} < 200700
# Mandrake menu entry
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} << EOF
?package(%{name}):  \
command="/usr/bin/opera" \
icon="%{name}.png" \
needs="kde" \
needs="x11" \
title="Opera" \
longtitle="Opera Web Browser" \
section="Networking/WWW" \
xdg="true"
EOF
)
%endif

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	--add-category=X-MandrivaLinux-CrossDesktop \
	--add-category=X-MandrivaLinux-Internet-WebBrowsers \
	--remove-category=Application \
	%{name}.desktop

# install icons (install.sh misses these when run with --prefix)
install -d -m755 %{buildroot}%{_iconsdir}
cp -a usr/share/icons/hicolor %{buildroot}%{_iconsdir}

# legacy icon locations
install -d -m755 %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
cp -a %{buildroot}%{_iconsdir}/hicolor/16x16/apps/opera.png %{buildroot}%{_miconsdir}
cp -a %{buildroot}%{_iconsdir}/hicolor/32x32/apps/opera.png %{buildroot}%{_iconsdir}
cp -a %{buildroot}%{_iconsdir}/hicolor/48x48/apps/opera.png %{buildroot}%{_liconsdir}

%if %{mdkversion} < 200900
%post
%{update_icon_cache hicolor}
%{update_desktop_database}
%{update_menus}

%postun
%{clean_icon_cache hicolor}
%{clean_desktop_database}
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc rpmdocs/*
%config(noreplace) %{_sysconfdir}/operaprefs_default.ini
%config(noreplace) %{_sysconfdir}/operaprefs_fixed.ini
%_bindir/opera
%_libdir/opera
%_datadir/%name

%if %{mdkversion} < 200700
%_menudir/%name
%endif

%_iconsdir/opera.png
%_iconsdir/mini/opera.png
%_iconsdir/large/opera.png
%_iconsdir/hicolor/*/apps/%{name}.*
%_datadir/applications/%{name}.desktop
#

%_mandir/man1/opera*
# langs
%lang(be) %{_datadir}/%name/locale/be
%lang(bg) %{_datadir}/%name/locale/bg
%lang(cs) %{_datadir}/%name/locale/cs
%lang(da) %{_datadir}/%name/locale/da
%lang(de) %{_datadir}/%name/locale/de
%lang(el) %{_datadir}/%name/locale/el
%lang(es) %{_datadir}/%name/locale/es-ES
%lang(es) %{_datadir}/%name/locale/es-LA
%lang(et) %{_datadir}/%name/locale/et
%lang(fi) %{_datadir}/%name/locale/fi
%lang(fr) %{_datadir}/%name/locale/fr
%lang(fr_CA) %{_datadir}/%name/locale/fr-CA
%lang(fy) %{_datadir}/%name/locale/fy
%lang(hi) %{_datadir}/%name/locale/hi
%lang(hu) %{_datadir}/%name/locale/hu
%lang(hr) %{_datadir}/%name/locale/hr
%lang(id) %{_datadir}/%name/locale/id
%lang(it) %{_datadir}/%name/locale/it
%lang(ja) %{_datadir}/%name/locale/ja
%lang(ka) %{_datadir}/%name/locale/ka
%lang(ko) %{_datadir}/%name/locale/ko
%lang(lt) %{_datadir}/%name/locale/lt
%lang(mk) %{_datadir}/%name/locale/mk
%lang(nn) %{_datadir}/%name/locale/nn
%lang(nb) %{_datadir}/%name/locale/nb
%lang(nl) %{_datadir}/%name/locale/nl
%lang(pl) %{_datadir}/%name/locale/pl
%lang(pt) %{_datadir}/%name/locale/pt
%lang(pt_BR) %{_datadir}/%name/locale/pt-BR
%lang(ro) %{_datadir}/%name/locale/ru
%lang(ru) %{_datadir}/%name/locale/ru
%lang(sk) %{_datadir}/%name/locale/sv
%lang(sr) %{_datadir}/%name/locale/sv
%lang(sv) %{_datadir}/%name/locale/sv
%lang(te) %{_datadir}/%name/locale/te
%lang(ta) %{_datadir}/%name/locale/ta
%lang(tr) %{_datadir}/%name/locale/tr
%lang(uk) %{_datadir}/%name/locale/uk
%lang(zh_CN) %{_datadir}/%name/locale/zh-cn
%lang(zh_HK) %{_datadir}/%name/locale/zh-hk
%lang(zh_TW) %{_datadir}/%name/locale/zh-tw


%changelog
* Sat May 08 2010 Anssi Hannula <anssi@mandriva.org> 10.10-1mdv2010.1
+ Revision: 544093
- remove separate language files, they are included in the tarballs now
- do not require 32-bit packages on 64-bit systems just to support 32-bit
  plugins (the plugins themselves will pull the packages in if needed)
- include tarballs for both archs in the src.rpm
- use upstream supplied icons instead of ones from a separate tarball
  (no notable difference between the two)
- uncompress opera6.adr source
- update summary, description, url
- remove now unneeded requires
- add proper exclusivearch entry
- use upstream .desktop file
- remove now unneeded hacks from .spec
- install configuration files
- remove visible builddir from bindir script
- install old-style menu only on Mandriva 2006.0 and older
- install provided standard-location icons
- do not call /sbin/ldconfig after installation, there are no libraries
- call proper macros in rpm script, on 2008.1 and older only
- add lang tags to language files

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - clean spec
      first release in non-free repository due to agreement changes
    - add 32 bits tarball
    - import opera


* Sat Dec 5 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.10.static-1mdv2010.0
- Fix CVE-2009-4071, CVE-2009-4072, CVE-2009-3832, CVE-2009-3831

* Thu Oct 29 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.01.static-1mdv2010.0
- new version

* Wed Sep 02 2009 Anne Nicolas <anne.nicolas@mandriva.com> 10.00.static-1mdv2010.0
- new major version
- fix CVE-2009-3013, CVE-2009-3044, CVE-2009-3046, CVE-2009-3047, CVE-2009-3048,
CVE-2009-3049

* Sun Feb 22 2009 Anne Nicolas <anne.nicolas@mandriva.com> 9.64.static-1mdv2009.0
- 9.64 version, security fixes

* Mon Aug 25 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.52.static-1mdv2009.0
- new version

* Sat Aug 23 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.51.static-2mdv2009.0
- update Mandriva bookmarks

* Wed Jul 23 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.51.static-1mdv2009.0
- new version

* Mon Feb 25 2008 Anne Nicolas <anne.nicolas@mandriva.com> 9.26.static-1mdv2008.0
- new version

* Tue Aug 28 2007 Anne Nicolas <anne.nicolas@mandriva.com> 9.23.static-1mdv2008.0
- 9.23
- add langs
- fix menus

* Thu Oct 12 2006 Lenny Cartier <lenny@mandriva.com> 9.02.static-1mdv2007.1
- 9.02

* Mon Aug 14 2006 Lenny Cartier <lenny@mandriva.com> 9.01.static-1mdv2007.0
- updated to 20060728 of 9.1
- mkrel
- xdg

* Wed Jun 08 2005 Lenny Cartier <lenny@mandriva.com> 8.0.static-1mdk
- updated to 20050415 of 8.0

* Sun Mar 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 7.54.static-2mdk
- update to 20050131 release of 7.54 

* Mon Aug 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.54.static-1mdk
- update to 7.54
- move plugin (libnpp.so) to /usr/lib/opera/plugins/
- Opera ChangeLog :
  * Denied write-access to properties on objects from scripts that fail a 
  standard origin check, in order to block potential access by attackers 
  to user's computer. Fixes critical vulnerability reported in GreyMagic 
  Security Advisory GM#008-OP.
  * Fixed security issue regarding spoofing of the addressfield by loading 
  other page contents while keeping the URL, reported in Secunia Advisory 
  SA12162.
  * Blocked access to file:/ URLs from documents that are not themselves 
  loaded from file:/ URLs.
  
  Miscellaneous
  * Fixed problem with canceling connections/downloads.
  * Cache-size limitation improved.

* Wed Apr 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.23.static-2mdk
- remove wrong opera.jar reference. Was pointing to my homedir... (noticed by Thor Vadstein, thanks)

* Thu Jan 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 7.23.static-1mdk
- update to 7.23
- remove files depending on libXm.so.3 (openmotif ?)
- patch1: Disable mandrake steps while running install.sh

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 6.11.static-1mdk
- 6.11
- update files section

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.01.static-1mdk
- updated to 6.01

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.0-2mdk
- patch to opera6rc ( partner id )
- opera6.adr adds

* Sun May 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 6.0-1mdk
- this is a real mdk spec...not a simple link on a media...
- human readable spec.
- supply new paths to the install script
  WRAPPER_DEST PLUGIN_DEST
- update to latest stable sources
- update & fix filelist
- verbose build
- png menu icons
- remove buildroot path copied in the wrapper by install script
- opera bookmarks file is now opera6.adr

* Mon Sep 03 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 5.0-4mdk
- Final Version

* Fri Apr 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0-3mdk
- Clean spec

* Wed Mar 28 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.0-2mdk
- change the bookmarks

* Thu Mar 15 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.0-1mdk
- First release


# end of file
